package com.atlassian.bitbucket.mesh.git.builder.commit;

import javax.annotation.Nonnull;
import java.util.Optional;

import static java.util.Optional.ofNullable;

public enum GitCommitVerify {

    DEFAULT(null),
    OFF("--no-verify"),
    ON("--verify");

    private final String flag;

    GitCommitVerify(String flag) {
        this.flag = flag;
    }

    @Nonnull
    public Optional<String> getFlag() {
        return ofNullable(flag);
    }
}
